Create Job

View as Markdown
Create a new platform job.

Path parameters

workspacestringRequired

Request

This endpoint expects an object.
specmap from strings to anyRequired
platform_specobjectRequired
Specification for a platform job, containing steps and secrets.
sourcestringRequired
namestringOptional
descriptionstringOptional
projectstringOptional
ownershipmap from strings to anyOptional
custom_fieldsmap from strings to anyOptional
output_locationstringOptional

Response

Successful Response
idstring
attempt_idstring
namestring
workspacestring
Workspace identifier
sourcestring
platform_specobject
Specification for a platform job, containing steps and secrets.
filesetstring
Fileset ID for storing job artifacts
statusenum
Enumeration of possible job statuses. This enum represents the various states a job can be in during its lifecycle, from creation to a terminal state.
projectstringOptional
Project URN
descriptionstringOptional
specmap from strings to anyOptional
Job Spec
output_locationstringOptional

Caller-supplied artifact fileset; None when the fileset was auto-created

status_detailsmap from strings to anyOptional
Details about the job status
error_detailsmap from strings to anyOptional
created_atdatetimeOptional
updated_atdatetimeOptional
ownershipmap from strings to anyOptional
custom_fieldsmap from strings to anyOptional
Custom Fields

Errors

422
Unprocessable Entity Error